services:
  mediawiki:
    build: .
    image: mediawiki-tmh:latest
    restart: unless-stopped
    ports:
      - "8099:80"
    volumes:
      - /mnt/ssd/dbs/wiki/mediawiki_images:/var/www/html/images
      - ./LocalSettings.php:/var/www/html/LocalSettings.php  # uncomment after initial setup
      - ./IMG_0448.JPG:/var/www/html/images/logo.jpg
      - ./uploads.ini:/usr/local/etc/php/conf.d/uploads.ini
    environment:
      MEDIAWIKI_DB_HOST: db
      MEDIAWIKI_DB_NAME: mediawiki
      MEDIAWIKI_DB_USER: mw_k7px2q
      MEDIAWIKI_DB_PASSWORD: Vt9#mLqR4wXn8bZ2
    depends_on:
      - db

  db:
    image: mariadb:lts
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: mediawiki
      MYSQL_USER: mw_k7px2q
      MYSQL_PASSWORD: Vt9#mLqR4wXn8bZ2
      MYSQL_RANDOM_ROOT_PASSWORD: "yes"
    volumes:
      - /mnt/ssd/dbs/wiki/mediawiki_db:/var/lib/mysql


